<div id="list" style="position:relative;"><div>

<% if flash[:folder_error] %>
    <div id="error"><%= h flash[:folder_error] %></div>
<% end %>
  <form action="/folder/file_set/<%= @folder.id %>" method="post">
  <input class="imgbut" type="image" alt="Ignore" src="/images/transparent.gif" name="DoNothing" />
    <table class="grid">
        <tr>
            <th width="10%"></th>
            <th width="*"><%= link_order 'Name'.t, 'name' %></th>
            <th width="10%"><%= link_order 'Size'.t, 'filesize' %></th>
            <th width="10%"><%= link_order 'Date Modified'.t, 'date_modified' %></th>
            <th width="24"></th>
            <th width="24"></th>
            <th width="24"></th>
            <th width="24"></th>
        </tr>

  <% @myfiles.each do |myfile| %>
          <tr class="<%= cycle('even', 'odd') %>">
              <td style="white-space:nowrap;"><%= check_box('target',myfile.id,{:class => 'checkbox', :title => 'Click to check this item'.t}) unless myfile.version == 0 %><%= myfile.thumbnailed ? image_tag(myfile.thumb_url) : image_tag('file.png')%></td>
              <td>
              <%= link_to h(myfile.filename), {:controller => 'file', :action => 'download', :id => myfile}, { :title => "Download".t} %>
              <%= ' Rev:' + myfile.version.to_s if @show_version_no %>
              <%= '<br />' + tags_of(myfile) if myfile.tag_list.length > 0 %></td>
              <td><%= myfile.filesize %> KB</td>
      <td><%= myfile.date_modified.localize('%d %b %Y  %H:%M') %></td>
              <td>
      <% if @can_update %>
                  <%= link_to image_tag('edit.png'), { :controller => 'file', :action => 'rename', :id => myfile }, { :title => "Edit file properties like name, tags&hellip;".t} %>
      <% end %>
              </td>
              <td>
      <% if @can_delete && myfile.version != 0 %>
                  <input class="imgbut" type="image" src="/images/delete.png" alt="<%= 'Delete'.t %>" name="delete[<%= myfile.id.to_s %>][]" title="<%= 'Delete this file'.t %>" onclick="return(confirm('<%='Are you sure?'.t %>'))" />
      <% end %>
              </td>
              <td>
      <% if myfile.indexed %>
                  <%= link_to image_tag('zoom.png'), { :controller => 'file', :action => 'preview', :id => myfile }, { :title => 'Preview'.t, :class => 'noBackground'} %>
      <% end %>
              </td>
              <td>
      <% if  mimetype=INDEX_MIMETYPES[File.extname(myfile.filename).downcase] %>
      <%= link_to image_tag('inline_image.png'), { :controller => 'file', :action => 'open_inline', :id => myfile, :mimetype => mimetype }, {:title => 'Open in browser'.t} %>
      <% end %>
              </td>
          </tr>
<% end %>
<% unless (@myfiles.empty? && @folders.empty?) %>
          <tr>
              <td colspan="8">
                  <%= 'Actions on multiple items:'.t %><br />
                  <%= select('operation','action',[['Select an operation'.t,''],['Add tags to'.t,'tag'],['Remove tags from'.t,'untag'],['Move'.t,'move'],['Delete'.t,'destroy'],['Download'.t,'dllist']],{}, {:onchange => 'argfieldsfor(this.value)'}) %>
                  <%= select('operation','fileset',[['checked items'.t,'1'],['unchecked items'.t,'0']]) %>
                  <%= text_field 'operation','arg_list',{:onkeypress => 'return event.keyCode!=13'} %>
                  <%= select('move','dest_id',@dest_options) %>
                  <%= hidden_field 'operation','return_to', :value => @folder.id %>
                  <input id="limit" name="limit" type="hidden" value="<%=params[:limit] || FOLDER_LIST_LIMIT %>" />

                  <input id="offset" name="offset" type="hidden" value="<%=params[:offset] || 0 %>" />
                  <input type="submit" value="<%= 'Proceed'.t %>" onclick="return(confirm('<%='Are you sure?'.t %>'))"/><br />
              </td>
          </tr>
<% else %>
          <%= '<tr><td colspan="8"><i>' + 'No files or folders here'.t + '</i></td></tr>' if @folders.empty? %>
<% end %>
    </table>
  </form>

</div></div>

